libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Public Types | Public Attributes | Static Public Attributes | List of all members
libcamera::SwIspStats Struct Reference

Struct that holds the statistics for the Software ISP. More...

`#include <swisp_stats.h>`

## Public Types
using | Histogram = std::array<uint32_t, kYHistogramSize>
| Type of the histogram.

## Public Attributes
uint64_t | sumR_
| Holds the sum of all sampled red pixels.
uint64_t | sumG_
| Holds the sum of all sampled green pixels.
uint64_t | sumB_
| Holds the sum of all sampled blue pixels.
Histogram | yHistogram
| A histogram of luminance values.

## Static Public Attributes
static constexpr unsigned int | kYHistogramSize = 64
| Number of bins in the yHistogram.

## Detailed Description

Struct that holds the statistics for the Software ISP.

The struct value types are large enough to not overflow. Should they still overflow for some reason, no check is performed and they wrap around.

The documentation for this struct was generated from the following file:

- include/libcamera/internal/software_isp/swisp_stats.h